//////////////////////////////////////////////////////////
// This class has been automatically generated on
// Wed Oct 31 12:41:04 2012 by ROOT version 5.34/01
// from TTree myG4dataTree/Tree containing G4 simulation results
// found on file: /home/cmosquer/workspace/Geant4work/output/APIdrdcOut/APIsimG4.root
//////////////////////////////////////////////////////////

#ifndef MyDataTree_h
#define MyDataTree_h

#include <TROOT.h>
#include <TChain.h>
#include <TFile.h>
#include <TTree.h>

// Header file for the classes stored in the TTree if any.

// Fixed size dimensions of array or collections stored in the TTree if any.

class MyDataTree {
public :
   TTree          *fChain;   //!pointer to the analyzed TTree or TChain
   Int_t           fCurrent; //!current Tree number in a TChain

   // Declaration of leaf types
   Int_t           runIDAlpha;
   Int_t           eventIDAlpha;
   Int_t           trackIDAlpha;
   Int_t           pdgIDAlpha;
   Int_t           na_hits;
   Int_t           detNoAlpha;
   Double_t        timeAlpha;
   Double_t        xGridPos;
   Double_t        yGridPos;
   Int_t           runIDGam;
   Int_t           eventIDGam;
   Int_t           trackIDGam;
   Int_t           pdgIDGam;
   Int_t           ng_hits;
   Int_t           numOfScatters;
   Int_t           detNoGam;
   Double_t        timeGam;
   Double_t        xPosGam;
   Double_t        yPosGam;
   Double_t        zPosGam;
   Double_t        depEGam;
   Double_t        kinEGam;
   Int_t           runIDUniv;
   Int_t           eventIDUniv;
   Int_t           trackIDUniv;
   Int_t           pdgIDUniv;
   Int_t           nu_hits;
   Double_t        timeUniv;
   Double_t        xPosUniv;
   Double_t        yPosUniv;
   Double_t        zPosUniv;
   Double_t        kinEUniv;
   Char_t          procName[11];
   Char_t          materUniv[14];

   // List of branches
   TBranch        *b_runIDAlpha;   //!
   TBranch        *b_eventIDAlpha;   //!
   TBranch        *b_trackIDAlpha;   //!
   TBranch        *b_pdgIDAlpha;   //!
   TBranch        *b_na_hits;   //!
   TBranch        *b_detNoAlpha;   //!
   TBranch        *b_timeAlpha;   //!
   TBranch        *b_xGridPos;   //!
   TBranch        *b_yGridPos;   //!
   TBranch        *b_runIDGam;   //!
   TBranch        *b_eventIDGam;   //!
   TBranch        *b_trackIDGam;   //!
   TBranch        *b_pdgIDGam;   //!
   TBranch        *b_ng_hits;   //!
   TBranch        *b_numOfScatters;   //!
   TBranch        *b_detNoGam;   //!
   TBranch        *b_timeGam;   //!
   TBranch        *b_xPosGam;   //!
   TBranch        *b_yPosGam;   //!
   TBranch        *b_zPosGam;   //!
   TBranch        *b_depEGam;   //!
   TBranch        *b_kinEGam;   //!
   TBranch        *b_runIDUniv;   //!
   TBranch        *b_eventIDUniv;   //!
   TBranch        *b_trackIDUniv;   //!
   TBranch        *b_pdgIDUniv;   //!
   TBranch        *b_nu_hits;   //!
   TBranch        *b_timeUniv;   //!
   TBranch        *b_xPosUniv;   //!
   TBranch        *b_yPosUniv;   //!
   TBranch        *b_zPosUniv;   //!
   TBranch        *b_kinEUniv;   //!
   TBranch        *b_procName;   //!
   TBranch        *b_materUniv;   //!

   MyDataTree(TTree *tree=0);
   virtual ~MyDataTree();
   virtual Int_t    Cut(Long64_t entry);
   virtual Int_t    GetEntry(Long64_t entry);
   virtual Long64_t LoadTree(Long64_t entry);
   virtual void     Init(TTree *tree);
   virtual void     Loop();
   virtual Bool_t   Notify();
   virtual void     Show(Long64_t entry = -1);

  ClassDef(MyDataTree,0)

};

#endif

#ifdef MyDataTree_cxx

ClassImp(MyDataTree);
MyDataTree::MyDataTree(TTree *tree) : fChain(0) 
{
// if parameter tree is not specified (or zero), connect the file
// used to generate this class and read the Tree.
   if (tree == 0) {
      TFile *f = (TFile*)gROOT->GetListOfFiles()->FindObject("/home/cmosquer/workspace/Geant4work/output/APIdrdcOut/APIsimG4.root");
      if (!f || !f->IsOpen()) {
         f = new TFile("/home/cmosquer/workspace/Geant4work/output/APIdrdcOut/APIsimG4.root");
      }
      f->GetObject("myG4dataTree",tree);

   }
   Init(tree);
}

MyDataTree::~MyDataTree()
{
   if (!fChain) return;
   delete fChain->GetCurrentFile();
}

Int_t MyDataTree::GetEntry(Long64_t entry)
{
// Read contents of entry.
   if (!fChain) return 0;
   return fChain->GetEntry(entry);
}
Long64_t MyDataTree::LoadTree(Long64_t entry)
{
// Set the environment to read one entry
   if (!fChain) return -5;
   Long64_t centry = fChain->LoadTree(entry);
   if (centry < 0) return centry;
   if (fChain->GetTreeNumber() != fCurrent) {
      fCurrent = fChain->GetTreeNumber();
      Notify();
   }
   return centry;
}

void MyDataTree::Init(TTree *tree)
{
   // The Init() function is called when the selector needs to initialize
   // a new tree or chain. Typically here the branch addresses and branch
   // pointers of the tree will be set.
   // It is normally not necessary to make changes to the generated
   // code, but the routine can be extended by the user if needed.
   // Init() will be called many times when running on PROOF
   // (once per file to be processed).

   // Set branch addresses and branch pointers
   if (!tree) return;
   fChain = tree;
   fCurrent = -1;
   fChain->SetMakeClass(1);

   fChain->SetBranchAddress("runIDAlpha", &runIDAlpha, &b_runIDAlpha);
   fChain->SetBranchAddress("eventIDAlpha", &eventIDAlpha, &b_eventIDAlpha);
   fChain->SetBranchAddress("trackIDAlpha", &trackIDAlpha, &b_trackIDAlpha);
   fChain->SetBranchAddress("pdgIDAlpha", &pdgIDAlpha, &b_pdgIDAlpha);
   fChain->SetBranchAddress("na_hits", &na_hits, &b_na_hits);
   fChain->SetBranchAddress("detNoAlpha", &detNoAlpha, &b_detNoAlpha);
   fChain->SetBranchAddress("timeAlpha", &timeAlpha, &b_timeAlpha);
   fChain->SetBranchAddress("xGridPos", &xGridPos, &b_xGridPos);
   fChain->SetBranchAddress("yGridPos", &yGridPos, &b_yGridPos);
   fChain->SetBranchAddress("runIDGam", &runIDGam, &b_runIDGam);
   fChain->SetBranchAddress("eventIDGam", &eventIDGam, &b_eventIDGam);
   fChain->SetBranchAddress("trackIDGam", &trackIDGam, &b_trackIDGam);
   fChain->SetBranchAddress("pdgIDGam", &pdgIDGam, &b_pdgIDGam);
   fChain->SetBranchAddress("ng_hits", &ng_hits, &b_ng_hits);
   fChain->SetBranchAddress("numOfScatters", &numOfScatters, &b_numOfScatters);
   fChain->SetBranchAddress("detNoGam", &detNoGam, &b_detNoGam);
   fChain->SetBranchAddress("timeGam", &timeGam, &b_timeGam);
   fChain->SetBranchAddress("xPosGam", &xPosGam, &b_xPosGam);
   fChain->SetBranchAddress("yPosGam", &yPosGam, &b_yPosGam);
   fChain->SetBranchAddress("zPosGam", &zPosGam, &b_zPosGam);
   fChain->SetBranchAddress("depEGam", &depEGam, &b_depEGam);
   fChain->SetBranchAddress("kinEGam", &kinEGam, &b_kinEGam);
   fChain->SetBranchAddress("runIDUniv", &runIDUniv, &b_runIDUniv);
   fChain->SetBranchAddress("eventIDUniv", &eventIDUniv, &b_eventIDUniv);
   fChain->SetBranchAddress("trackIDUniv", &trackIDUniv, &b_trackIDUniv);
   fChain->SetBranchAddress("pdgIDUniv", &pdgIDUniv, &b_pdgIDUniv);
   fChain->SetBranchAddress("nu_hits", &nu_hits, &b_nu_hits);
   fChain->SetBranchAddress("timeUniv", &timeUniv, &b_timeUniv);
   fChain->SetBranchAddress("xPosUniv", &xPosUniv, &b_xPosUniv);
   fChain->SetBranchAddress("yPosUniv", &yPosUniv, &b_yPosUniv);
   fChain->SetBranchAddress("zPosUniv", &zPosUniv, &b_zPosUniv);
   fChain->SetBranchAddress("kinEUniv", &kinEUniv, &b_kinEUniv);
   fChain->SetBranchAddress("procName", procName, &b_procName);
   fChain->SetBranchAddress("materUniv", materUniv, &b_materUniv);
   Notify();
}

Bool_t MyDataTree::Notify()
{
   // The Notify() function is called when a new file is opened. This
   // can be either for a new TTree in a TChain or when when a new TTree
   // is started when using PROOF. It is normally not necessary to make changes
   // to the generated code, but the routine can be extended by the
   // user if needed. The return value is currently not used.

   return kTRUE;
}

void MyDataTree::Show(Long64_t entry)
{
// Print contents of entry.
// If entry is not specified, print current entry
   if (!fChain) return;
   fChain->Show(entry);
}
Int_t MyDataTree::Cut(Long64_t entry)
{
// This function may be called from Loop.
// returns  1 if entry is accepted.
// returns -1 otherwise.
   return 1;
}
#endif // #ifdef MyDataTree_cxx
